Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.annotations
Enum Sound.IconTypeEnum

    java.lang.Object
      java.lang.Enum<Sound.IconTypeEnum>
          org.pdfclown.documents.interaction.annotations.Sound.IconTypeEnum

All Implemented Interfaces:
  Serializable, Comparable<Sound.IconTypeEnum>

Enclosing class:
  Sound

    public static enum Sound.IconTypeEnum

extends Enum<Sound.IconTypeEnum>

Icon to be used in displaying the annotation [PDF:1.6:8.4.5].

Enum Constant Summary
`Microphone` Microphone.
`Speaker` Speaker.

Method Summary
`static Sound.IconTypeEnum` | `get(PdfName value)` Gets the highlighting mode corresponding to the given value.
`PdfName` | `getCode()`
`static Sound.IconTypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Sound.IconTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Speaker

    public static final Sound.IconTypeEnum Speaker

  Speaker.

### Microphone

    public static final Sound.IconTypeEnum Microphone

  Microphone.

Method Detail

### values

    public static Sound.IconTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Sound.IconTypeEnum c : Sound.IconTypeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Sound.IconTypeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static Sound.IconTypeEnum get(PdfName value)

  Gets the highlighting mode corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.